import type { InputOptions, OutputOptions, RollupOptions } from "rollup";
declare type ExportType = "require" | "export" | "default" | string;
declare type CommonConfig = {
    format?: OutputOptions["format"];
    minify?: boolean;
    sourcemap?: boolean;
    external?: string[];
    target?: string;
};
declare type BuildConfig = CommonConfig & {
    entry: string | Record<string, string>;
};
declare type PackageMetadata = {
    name?: string;
    main?: string;
    module?: string;
    type?: "commonjs" | "module";
    dependencies?: Record<string, string>;
    peerDependencies?: Record<string, string>;
    peerDependenciesMeta?: Record<string, Record<string, string>>;
    exports?: string | Record<string, ExportCondition>;
    types?: string;
    typings?: string;
    bunchee?: BuildConfig;
};
declare type ExportCondition = string | Record<ExportType, string>;
declare type BuncheeRollupConfig = Partial<Omit<RollupOptions, 'input' | 'output'>> & {
    input: InputOptions;
    output: OutputOptions[];
};
declare type CliArgs = CommonConfig & {
    file?: string;
    watch?: boolean;
    cwd?: string;
};
declare type BundleOptions = CliArgs & {
    useTypescript: boolean;
};
export type { CliArgs, ExportType, BundleOptions, ExportCondition, PackageMetadata, BuncheeRollupConfig, };
